%++% {lava} | R Documentation

## Concatenation operator

### Description

For matrices a block-diagonal matrix is created. For all other data types he operator is a wrapper of `paste`.

### Usage

    x %++% y

### Arguments

`x` | First object
`y` | Second object of same class

### Details

Concatenation operator

### Author(s)

Klaus K. Holst

### See Also

`blockdiag`, `paste`, `cat`,

### Examples

    ## Block diagonal
    matrix(rnorm(25),5)%++%matrix(rnorm(25),5)
    ## String concatenation
    "Hello "%++%" World"
    ## Function composition
    f <- log %++% exp
    f(2)

[Package lava version 1.5.1 Index]